# Common configuration for all hosts

{ config, lib, inputs, ... }: {
  nix = {
    settings = {
      experimental-features = "nix-command flakes";
      trusted-users = [ "root" "m3tam3re" ];
    };
    gc = {
      automatic = true;
      options = "--delete-older-than 30d";
    };
    optimise.automatic = true;
    registry = (lib.mapAttrs (_: flake: { inherit flake; }))
      ((lib.filterAttrs (_: lib.isType "flake")) inputs);
    nixPath = [ "/etc/nix/path" ];
  };
}
